红联Linux门户
Linux帮助

seplib的安装

发布时间:2008-10-06 21:12:49来源:红联作者:boats
安装太烦了,在solaris下安装没有成功。
主要是fortran编译器的问题。如果设置FC=no有何影响?
后来转到 unbuntu下 安装
安装了gfortran
安装了inter的fortran编译器
--with-su=/home/zhang/cwp
另一个 对FC的定义
ifort不支持tpp6选项
This version of the compiler no longer supports the following compiler

options: -cxxlib-icc, -F (use -preprocess-only), -Kpic and -KPIC (use -fpic), -prof-format-32, -syntax (use -syntax-only), -tpp{5|6|7} (for -tpp7, use -mtune=pentium4).具体参见http://softwarecommunity.intel.com/isn/downloads/softwareproducts/ifort.txt详细说明了ifort的选项意义

错误 之一
undefined reference to `yywrap' You must have a working version of lex or flex installed
and in your default library path and/or the path described by the LDFLAGS variable.

内容简介:Seplib是一款 和 SU齐名的 地球物理软件,本文将介绍 其在 FC6下 的安装。SEPLIB的版本为6。3。12,本文中的安装方法较“stupid",方法仅供参考。
要点:
1 在FC6中默认的FORTRAN编译器为gfortran, 它和原来的g77之间还存在一些不兼容。因此,用这个默认的编译器会在make的时候出错。为此,需下载intel fortran compiler for linux.这个可以到inter的网站上下载,只需注册一个电子邮件即可。
2 安装好intel fortran compiler。然后设置安装所需的环境变量FC。 如:export FC="ifort -O3 -tpp6 -xK". 其中,ifort是intel fortran compiler的执行程序(之前要设置好ifort的环境变量PATH)。
3 ./configure --with-local --with-su=/your_su_dir .其中,--with-su用来生成SEGY,SU,SEP之间数据转换的命令,很有必要安装。/your_su_dir为自己SU的安装路径(在这个路径下有SRC,如/home/wh/su)
4 make. 在这个过程中会遇到8个相同的错误。错误的原因猜测为ifort与f95之间的关系作用冲突导致(f95和gfortran有些重要的关系,但还不清楚。)
5 8个相同错误的解决方法为:进入产生错误所在的目录,然后编辑Makefile,将如下内容作变更
(1)FCLINK = $(LIBTOOL) --mode=link $(FCLD) $(AM_FCFLAGS) $(FCFLAGS) \
$(AM_LDFLAGS) $(LDFLAGS) -o [email protected]
变为:FCLINK = $(LIBTOOL) --mode=link --tag=F77 $(FCLD) $(AM_FCFLAGS) $(FCFLAGS) \
$(AM_LDFLAGS) $(LDFLAGS) -o [email protected]
(2)FCLD=
变为:FCLD=$(FC)
然后重新make即可。最后,make install完成安装。
文章评论

共有 0 条评论